ユーザ用ツール

サイト用ツール


linux:libdb

差分

この文書の現在のバージョンと選択したバージョンの差分を表示します。

この比較画面にリンクする

linux:libdb [2019/05/18 02:23] (現在)
ライン 1: ライン 1:
 +====== libdb のビルドとインストール ======
  
 +===== ソースの入手 =====
 +<WRAP prewrap 100%>
 +<​code>​
 +$ curl -O https://​dl.fedoraproject.org/​pub/​fedora/​linux/​development/​rawhide/​Everything/​SRPMS/​Packages/​l/​libdb-5.3.28-33.fc29.src.rpm
 +</​code>​
 +</​WRAP>​
 +
 +===== ソースパッケージのインストール =====
 +<​code>​
 +$ rpm -ivh libdb-5.3.28-33.fc29.src.rpm
 +</​code>​
 +
 +===== ビルドに必要なパッケージのインストール =====
 +<​code>​
 +$ sudo yum-builddep ~/​rpmbuild/​SPECS/​libdb.spec
 +読み込んだプラグイン:​refresh-packagekit
 +Getting requirements for /​home/​tomoyan/​rpmbuild/​SPECS/​libdb.spec
 + ​-->​ Already installed : gcc-4.6.3-2.fc16.x86_64
 + ​-->​ Already installed : gcc-c++-4.6.3-2.fc16.x86_64
 +Error: perl-interpreter のパッケージが見つかりません
 +</​code>​
linux/libdb.txt · 最終更新: 2019/05/18 02:23 (外部編集)